package com.engine.salary.service;

import com.engine.salary.entity.report.po.SalaryAcctResultReportPO;

import java.util.Collection;
import java.util.List;

/**
 * 薪资报表
 * <p>Copyright: Copyright (c) 2022</p>
 * <p>Company: 泛微软件</p>
 *
 * @author qiantao
 * @version 1.0
 **/
public interface SalaryAcctReportService {

    /**
     * 保存核算记录报表数据
     * @param pos
     */
    void batchSave(Collection<SalaryAcctResultReportPO> pos);

    /**
     * 根据核算记录删除
     * @param salaryAcctRecordIds
     */
    void deleteBySalaryAcctRecordIds(Collection<Long> salaryAcctRecordIds);

    void deleteBySalaryAcctRecordId(Long salaryAcctRecordId);

    void deleteBySalaryAcctEmpIds(Collection<Long> salaryAcctEmpIds);

    /**
     * 根据薪资核算人员id、薪资项目id删除薪资核算结果
     *
     * @param salaryAcctEmployeeIds 薪资核算人员id
     * @param salaryItemIds         薪资项目id
     */
    void deleteByAcctEmployeeIdsAndSalaryItemIds(List<Long> salaryAcctEmployeeIds, Collection<Long> salaryItemIds);

}
